Question: RSEM installation Errors
0
gravatar for XBria
12 months ago by
XBria50
germany
XBria50 wrote:

Hello,

I'm trying to install RSEM on Ubuntu 17. Following errors do not let compilation process go:

g++ -Wall -O2 -c -I. parseIt.cpp
In file included from parseIt.cpp:22:0:
SingleHit.h: In member function ‘bool SingleHit::read(std::istream&)’:
SingleHit.h:46:22: error: cannot convert ‘std::basic_istream<char>::__istream_type {aka std::basic_istream<char>}’ to ‘bool’ in return
  return (in>>sid>>pos);
                      ^
In file included from parseIt.cpp:23:0:
PairedEndHit.h: In member function ‘bool PairedEndHit::read(std::istream&)’:
PairedEndHit.h:29:34: error: cannot convert ‘std::basic_istream<char>::__istream_type {aka std::basic_istream<char>}’ to ‘bool’ in return
     return (in>>sid>>pos>>insertL);
                                  ^
Makefile:58: recipe for target 'parseIt.o' failed
make: *** [parseIt.o] Error 1

Do you have any suggestion to make them work?

Thanks !

rsem rna-seq • 615 views
ADD COMMENTlink modified 12 months ago • written 12 months ago by XBria50

See if the answer at the top of this thread helps.

ADD REPLYlink written 12 months ago by genomax58k

Can you please clarify where exactly set CC=gcc-6 and CXX=g++-6 ? by the way, compiler is already gcc-6

ADD REPLYlink written 12 months ago by XBria50

Can you check to see if there a Makefile? You could potentially edit that. What command are you using for this compilation? If you have an older version of GCC compiler available you could try that as an alternative.

ADD REPLYlink modified 12 months ago • written 12 months ago by genomax58k

if you mean in the RSEM folder, yes there exists. But where in that file should I add those two ?

... sudo apt-get install gcc-6 ...

Reading package lists... Done Building dependency tree
Reading state information... Done gcc-6 is already the newest version (6.3.0-12ubuntu2). The following package was automatically installed and is no longer required: libhts1 Use 'sudo apt autoremove' to remove it. 0 upgraded, 0 newly installed, 0 to remove and 134 not upgraded.

ADD REPLYlink modified 12 months ago • written 12 months ago by XBria50
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 2.3.0
Traffic: 766 users visited in the last hour